org.springframework.web.reactive.accept

## Interface RequestedContentTypeResolver

All Known Implementing Classes:
  FixedContentTypeResolver, HeaderContentTypeResolver, ParameterContentTypeResolver

    public interface RequestedContentTypeResolver

Strategy to resolve the requested media types for a `ServerWebExchange`.

See `RequestedContentTypeResolverBuilder` to create a sequence of strategies.

Since:
  5.0
Author:
  Rossen Stoyanchev

### Field Summary

Fields
`static List<org.springframework.http.MediaType>` `MEDIA_TYPE_ALL_LIST` A singleton list with `MediaType.ALL` that is returned from `resolveMediaTypes(org.springframework.web.server.ServerWebExchange)` when no specific media types are requested.

### Method Summary

All Methods Instance Methods Abstract Methods
`List<org.springframework.http.MediaType>` `resolveMediaTypes(org.springframework.web.server.ServerWebExchange exchange)` Resolve the given request to a list of requested media types.

### Field Detail

#### MEDIA_TYPE_ALL_LIST

    static final List<org.springframework.http.MediaType> MEDIA_TYPE_ALL_LIST

A singleton list with `MediaType.ALL` that is returned from `resolveMediaTypes(org.springframework.web.server.ServerWebExchange)` when no specific media types are requested.

Since:
  5.0.5

### Method Detail

#### resolveMediaTypes

    List<org.springframework.http.MediaType> resolveMediaTypes(org.springframework.web.server.ServerWebExchange exchange)

Resolve the given request to a list of requested media types. The returned list is ordered by specificity first and by quality parameter second.

Parameters:
  `exchange` - the current exchange
Returns:
  the requested media types, or `MEDIA_TYPE_ALL_LIST` if none were requested.
Throws:
  `org.springframework.web.server.NotAcceptableStatusException` - if the requested media type is invalid